#!/bin/sh
echo 'name: data-pprint
version: 0.2.1.4
id: data-pprint-0.2.1.4-ff93191034939c1b2882168c49ab1995

license: BSD3
copyright:
maintainer: divip@aszt.inf.elte.hu
stability: beta
homepage:
package-url:
synopsis: Prettyprint and compare Data values
description: Prettyprint and compare Data values.
             .
             *   Size limit for the output
             .
             *   Time limit for the computation
             .
             *   Escape exceptions
             .
             *   Do not escape unicode characters
             .
             *   Comparison: Highlight the first difference
             .
             *   Comparison: Yes, No or Maybe results
             .
             Probably you need only the '\''pprint'\'' and '\''(===)'\'' functions from the "Data.PPrint" module.
             .
             Usage examples:
             .
             > pprint [1..]
             > pprint $ repeat [1..]
             > pprint $ iterate (*10) 1
             > pprint $ map length $ replicate 5 [1..] ++ repeat []
             > pprint [2 `div` 0, error "xxx", 18, 4 `div` 0]
             > [1..10] === reverse [10,9..1]
             > [1..10] === reverse [10..1]
             > reverse [10..] === [1..]
             > [1..] === [1..99] ++ [101..]
             > ([1..], [1..]) === ([1..], [1..100])
             > (error "x", [1..]) === (0 `div` 0, reverse [1..])
             > error ("xx" ++ show (length [1..])) === 1
             > error ("xx" ++ error "yy") === 1
             > (error $ unlines $ replicate 300 "xxxxxxxxxxxxxxxxxxxxxxxxxxx") === 1
             > pprint ['\''a'\''..]
             > pprint $ "hello" ++ [error "x"] ++ "world!"
             .
             See also <http://pnyf.inf.elte.hu/fp/Show_en.xml>
             .
             Changes since 0.1: Refactoring, proper handling of nested errors
category: Testing, Text
author: Péter Diviánszky
exposed: True
exposed-modules: Data.PPrint Data.Data.Eval Data.Data.Compare
                 Data.Data.GenRep Data.Data.GenRep.Functions Data.Data.GenRep.Doc
                 Control.Exception.Pure System.SimpleTimeout
                 System.SimpleTimeout.Limits System.IO.Parallel
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/data-pprint-0.2.1.4
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/data-pprint-0.2.1.4
              /usr/local/lib
hs-libraries: HSdata-pprint-0.2.1.4
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.1.0-f58939ca866a8377999e7a71aa62d1d0
         deepseq-1.3.0.0-c26e15897417ecd448742528253d68f6
         mtl-2.1.2-02e701f9b1590ee88a0b5b0bd5d93a29
         parallel-3.2.0.3-4cdd6067624f867b253b98d6d9fb9f52
         pretty-1.1.1.0-91ed62f0481a81d292d550eec35ee75b
         time-1.4-d61e2caaa0486655b4e141dc277ed49f
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/data-pprint-0.2.1.4/html/data-pprint.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/data-pprint-0.2.1.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
